﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.InteropServices;
using System.Text;

namespace ParsingTest {
    class Program {

        [DllImport("ReadInfo.dll", EntryPoint = "ReadInfoFromPCLFile")]
        public static extern Int32 ReadInfoFromPCLFile(
            string fileName,
            Int32 bIsRenderToPDF,
            ref uint bwPageCount,
            ref uint colorPageCount,
            ref uint copyCount,
            ref double pagewidth,
            ref double pageheight,
            StringBuilder paperSizeName);

        [DllImport("ReadInfo.dll", EntryPoint = "ReadInfoSetCode")]
        public static extern void ReadInfoSetCode(string strCode);

        static void Main(string[] args)
        {
            if (args.Length != 1)
            {
                Console.WriteLine("test.exe C:\\test.pcl");
                Console.WriteLine("test.exe C:\\test.ps");
                return;
            }
            Console.Write("args length is ");
            Console.WriteLine(args.Length); // Write array length
            for (int i = 0; i < args.Length; i++) // Loop through array
            {
                string argument = args[i];
                Console.Write("args index ");
                Console.Write(i); // Write index
                Console.Write(" is [");
                Console.Write(argument); // Write string
                Console.WriteLine("]");
            } 
            string fileName = args[0];
            int bIsRenderToPDF = 1;
            uint bwPageCount = 0;
            uint colorPageCount = 0;
            uint copyCount = 0;
            double nPageWidth = 0;
            double nPageHeight = 0;
            StringBuilder strPaperSizeName = new StringBuilder(300);

            ReadInfoSetCode("XXXXXXXXXXXXXXXXXX");
            ReadInfoFromPCLFile(fileName, bIsRenderToPDF, ref bwPageCount, ref colorPageCount,
                    ref copyCount, ref nPageWidth, ref nPageHeight, strPaperSizeName);

            Console.WriteLine(String.Format("File: {0}", fileName));
            Console.WriteLine(String.Format("Render To PDF: {0}", bIsRenderToPDF));
            Console.WriteLine(String.Format("BW Pages: {0}", bwPageCount));
            Console.WriteLine(String.Format("Color Pages: {0}", colorPageCount));
            Console.WriteLine(String.Format("Width: {0}", nPageWidth));
            Console.WriteLine(String.Format("Height: {0}", nPageHeight));
            Console.WriteLine(String.Format("Paper name: {0}", strPaperSizeName));
        }
    }
}
